Page MenuHomePhabricator

« w:name_space: » generates a « MediaWiki:Badtitle »
Closed, ResolvedPublic

Description

Author: gangleri

Description:
Hi!

such links are generated for example at
http://bugzilla.wikimedia.org/show_bug.cgi?id=3084#c1

best regards Reinhardt [[user:Gangleri]]


Version: unspecified
Severity: normal
URL: http://en.wikipedia.org/wiki/w:a

Details

Reference
bz12330

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 9:56 PM
bzimport set Reference to bz12330.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Dec 17 2007, 6:01 AM

The example in bug 3084 does not work anymore.
Gangleri: By any chance, do you know if this is still an issue?

This is because apparently on en.wp [[en:a]] is considered a "self-link", while [[w:a]] is not (despite being one). This would cause a redirect loop that is caught by MediaWiki::performRequest, which throws BadTitleError upon encountering it.

Change 144264 had a related patch set uploaded by TTO:
Add a complete list of local interwikis

https://gerrit.wikimedia.org/r/144264

Change 144264 merged by jenkins-bot:
Add a complete list of local interwikis

https://gerrit.wikimedia.org/r/144264

TTO added a comment.Jul 11 2014, 12:47 AM

Fixed! Only took 7 years.

Meno25 removed a subscriber: Meno25.Sep 26 2016, 2:23 PM